Bug 138119 - ide-cd reports errors on boot, reports lost interrupt, and runs into endless loop
ide-cd reports errors on boot, reports lost interrupt, and runs into endless ...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
4
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Alan Cox
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-04 14:27 EST by Matthias Jung
Modified: 2007-11-30 17:10 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-01-19 02:30:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matthias Jung 2004-11-04 14:27:50 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0; .NET 
CLR 1.1.4322)

Description of problem:
When booting the Fedora Core 3 test 2 CD-Rom, everything runs fine 
until the CD-Rom drives are installed.

There it reports the following:

ide-cd: cmd 0x05 timed out
hdc: lost interrupt
hdc: packet command error: status=0x51 { DriveReady SeekComplete 
Error }
hdc: packet command error: error=0x40
ide: failed opcode was 100
ide-cd: cmd 0x03 timed out
...
LastFailedSense 0x04

After that, nothing any more comes, the kernel hangs.

I had this error also with earlier versions of the 2.6 kernel.
My system has 2 ATAPI DVD drives, which run just fine under a 2.4 
kernel version. The first one is a PIONEER A104, the other one a SONY.

The computer is one of the standard computers distributed by MEDION 
in Germany.



Version-Release number of selected component (if applicable):
kernel 2.6.8-??

How reproducible:
Always

Steps to Reproduce:
1. Just boot. Select any setup method (graphically or textually) does 
not change anything.
    

Actual Results:  Computer hangs.

Expected Results:  Kernel boots through, and installation is started.

Additional info:
Comment 1 Matthias Jung 2004-11-04 14:48:50 EST
As seen on some web page, I tried to insert pci=noacpi and/or acpi=off
on the boot command line, without success.
Comment 2 Dave Jones 2004-11-04 22:35:59 EST
the kernel has moved on quite a bit since test2. can you try with the release
candidate at http://testing.fedora.redhat.com/tree please ?
Comment 3 Matthias Jung 2004-11-05 17:42:43 EST
Hi,

My computer cannot find http://testing.fedora.redhat.com/tree
However, I downloaded test3 and reproduced it with that release, too.
I also tried to insert ide=nodma as an option on the command line, 
without success.
Comment 4 Matthias Jung 2004-11-16 10:13:39 EST
Hi again,

Have some more information on this:

First: the command that failed was 0x5a, not 0x05, so, the report was

ide-cd: cmd 0x5a timed out

Then: The problem went away, when I resetted the PCI configuration 
and switched BIOS settings to the preconfigured "secure" settings.
I was able to install then. 

Later, I wanted to obtain speed again, and played around with the 
BIOS settings. Situation now is, that whatever I configure, secure or 
not, the ide_cd will not load any more, and booting stops at a 
certain point.

Is there some similar thing in linux to the Windows F8 key, with 
which I can boot in "secure" mode and get more information about the 
problem ?
Comment 5 Niels K 2005-02-01 19:04:01 EST
Problem stil exist in Fedora core 3, no test. I to am using an medion 8008, and
experience the same problem. for now I disabled my secondary IDE channel, to
make the install start...
Comment 6 Bill McGonigle 2005-02-21 22:12:45 EST
Same here on 2.6.10-1.766_FC3smp.  The hardware is a Pundit-R from Asus with a
Seagate SATA and Pioneer DVD.  I haven't figured out how to kick this box into
SATA mode yet, so it's running in PATA emulation.

ATIIXP: IDE controller at PCI slot 0000:00:14.1
ACPI: PCI interrupt 0000:00:14.1[A] -> GSI 16 (level, low) -> IRQ 177
ATIIXP: chipset revision 0
ATIIXP: not 100% native mode: will probe irqs later
    ide0: BM-DMA at 0xff00-0xff07, BIOS settings: hda:DMA, hdb:pio
    ide1: BM-DMA at 0xff08-0xff0f, BIOS settings: hdc:DMA, hdd:pio
Probing IDE interface ide0...
hda: PIONEER DVD-RW DVR-109, ATAPI CD/DVD-ROM drive
elevator: using anticipatory as default io scheduler
ide0 at 0x1f0-0x1f7,0x3f6 on irq 14
Probing IDE interface ide1...
hdc: ST3200826AS, ATA DISK drive
ide1 at 0x170-0x177,0x376 on irq 15
hdc: max request size: 1024KiB
hdc: 390721968 sectors (200049 MB) w/8192KiB Cache, CHS=24321/255/63, UDMA(33)
hdc: cache flushes supported
 hdc: hdc1 hdc2 hdc3
hda: ATAPI 40X DVD-ROM DVD-R CD-R/RW drive, 2000kB Cache, UDMA(66)

I installed FC3 from DVD, so the drive works OK with linux, and at the same time
as the hard drive.  However, if I attempt to boot the system with a disc in the
drive the kernel will hang when the system attempts to remount / read-write. 
Boots fine w/o a disc.

If I put a disc in while the system is running I also get a hang.  These
messages are the end of /var/log/messages before the hang:

Feb 21 21:16:37 localhost kernel: hda: status error: status=0x59 { DriveReady
SeekComplete DataRequest Error }
Feb 21 21:16:37 localhost kernel: hda: status error: error=0x40 {
LastFailedSense=0x04 }
Feb 21 21:16:37 localhost kernel: hda: drive not ready for command
Feb 21 21:16:39 localhost kernel: hda: status error: status=0x59 { DriveReady
SeekComplete DataRequest Error }
Feb 21 21:16:39 localhost kernel: hda: status error: error=0x40 {
LastFailedSense=0x04 }
Feb 21 21:16:39 localhost kernel: hda: drive not ready for command
Feb 21 21:16:41 localhost kernel: hda: cdrom_decode_status: status=0x59 {
DriveReady SeekComplete DataRequest Error }Feb 21 21:16:41 localhost kernel:
hda: cdrom_decode_status: error=0x40 { LastFailedSense=0x04 }
Feb 21 21:16:43 localhost kernel: hda: cdrom_decode_status: status=0x59 {
DriveReady SeekComplete DataRequest Error }Feb 21 21:16:43 localhost kernel:
hda: cdrom_decode_status: error=0x40 { LastFailedSense=0x04 }
Feb 21 21:16:45 localhost kernel: hda: cdrom_decode_status: status=0x59 {
DriveReady SeekComplete DataRequest Error }Feb 21 21:16:45 localhost kernel:
hda: cdrom_decode_status: error=0x40 { LastFailedSense=0x04 }

and then it goes silent.
Comment 7 Wayne Schuller 2005-03-26 22:25:08 EST
I have a pioneer dvd/cd writer, this is from my /var/log/messages:
Mar 22 20:13:08 rockin kernel:     ide0: BM-DMA at 0xf000-0xf007, BIOS settings:
hda:DMA, hdb:pio
Mar 22 20:13:08 rockin kernel:     ide1: BM-DMA at 0xf008-0xf00f, BIOS settings:
hdc:pio, hdd:pio
Mar 22 20:13:08 rockin kernel: hda: PIONEER DVD-RW DVR-108, ATAPI CD/DVD-ROM drive
Mar 22 20:13:08 rockin kernel: Using cfq io scheduler Mar 22 20:13:08 rockin
kernel: ide0 at 0x1f0-0x1f7,0x3f6 on irq 14
Mar 22 20:13:08 rockin rpcidmapd: rpc.idmapd startup succeeded Mar 22 20:13:09
rockin kernel: hda: ATAPI 40X DVD-ROM DVD-R CD-R/RW drive, 2000kB Cache,
UDMA(66) Mar 22 20:13:09 rockin kernel: Uniform CD-ROM driver Revision: 3.20


I am using kernel:
[root@rockin schuller]# uname -a
Linux rockin 2.6.9-1.667smp #1 SMP Tue Nov 2 14:59:52 EST 2004 i686 i686 i386
GNU/Linux

I have this exact same problem.

I can burn some cd's, but I can't burn dvd-r (gets the kernel erros similar to
above) and I can't mount audio cd's (you know, the audio cd's that have bonus pc
files one them).

I am using an intel 915P chipset motherboard (gigabyte), I wonder if there is
some bios option I can play with to get it to report the ide burner nicely - it
is currently using sata only hdd's. 
Comment 8 h4x3r 2005-06-14 10:38:42 EDT
This is definalty a kernel b00g, 

ide-cd reports errors on boot and out of the blue while system is running.
 
# uname -r 
  2.6.11-1.1369_FC4smp

Hewlett-Packard pavilion 754n CDROM drive used on a ABIT Fatal1ty AA8XE mobo.

kernel: hde: dma_intr: status=0x51 { DriveReady SeekComplete Error }
kernel: hde: dma_intr: error=0x84 { DriveStatusError BadCRC }
kernel: ide: failed opcode was: unknown
kernel: hde: dma_intr: status=0x51 { DriveReady SeekComplete Error }
kernel: hde: dma_intr: error=0x84 { DriveStatusError BadCRC }
kernel: ide: failed opcode was: unknown
kernel: hde: dma_intr: status=0x51 { DriveReady SeekComplete Error }
kernel: hde: dma_intr: error=0x84 { DriveStatusError BadCRC }
kernel: ide: failed opcode was: unknown
kernel: hde: dma_intr: status=0x51 { DriveReady SeekComplete Error }
kernel: hde: dma_intr: error=0x84 { DriveStatusError BadCRC }
kernel: ide: failed opcode was: unknown
kernel: hde: dma_intr: status=0x51 { DriveReady SeekComplete Error }
kernel: hde: dma_intr: error=0x84 { DriveStatusError BadCRC }
kernel: ide: failed opcode was: unknown
kernel: hde: dma_intr: status=0x51 { DriveReady SeekComplete Error }
kernel: hde: dma_intr: error=0x84 { DriveStatusError BadCRC }
kernel: ide: failed opcode was: unknown
kernel: hde: dma_intr: status=0x51 { DriveReady SeekComplete Error }
kernel: hde: dma_intr: error=0x84 { DriveStatusError BadCRC }
kernel: ide: failed opcode was: unknown
kernel: hde: dma_intr: status=0x51 { DriveReady SeekComplete Error }
kernel: hde: dma_intr: error=0x84 { DriveStatusError BadCRC }
kernel: ide: failed opcode was: unknown
kernel: hde: dma_intr: status=0x51 { DriveReady SeekComplete Error }
kernel: hde: dma_intr: error=0x84 { DriveStatusError BadCRC }
kernel: ide: failed opcode was: unknown
kernel: hde: dma_intr: status=0x51 { DriveReady SeekComplete Error }
kernel: hde: dma_intr: error=0x84 { DriveStatusError BadCRC }
kernel: ide: failed opcode was: unknown
kernel: hde: dma_intr: status=0x51 { DriveReady SeekComplete Error }
kernel: hde: dma_intr: error=0x84 { DriveStatusError BadCRC }
kernel: ide: failed opcode was: unknown
kernel: hde: dma_intr: status=0x51 { DriveReady SeekComplete Error }
kernel: hde: dma_intr: error=0x84 { DriveStatusError BadCRC }
kernel: ide: failed opcode was: unknown
kernel: hde: dma_intr: status=0x51 { DriveReady SeekComplete Error }
kernel: hde: dma_intr: error=0x84 { DriveStatusError BadCRC }
kernel: ide: failed opcode was: unknown
kernel: hde: dma_intr: status=0x51 { DriveReady SeekComplete Error }
kernel: hde: dma_intr: error=0x84 { DriveStatusError BadCRC }
kernel: ide: failed opcode was: unknown
kernel: hde: dma_intr: status=0x51 { DriveReady SeekComplete Error }
kernel: hde: dma_intr: error=0x84 { DriveStatusError BadCRC }
kernel: ide: failed opcode was: unknown
kernel: hde: dma_intr: status=0x51 { DriveReady SeekComplete Error }
kernel: hde: dma_intr: error=0x84 { DriveStatusError BadCRC }
kernel: ide: failed opcode was: unknown
kernel: hdf: DMA disabled
kernel: ide2: reset: success

Im not certain how to shut off DMA access to this single drive as ide=nodma
shuts down dms access to all drives in the system. There has to be a kernel
patch soon.. Ive looked at the kernel source (even edited some) no luck as
of yet..
Comment 9 h4x3r 2005-06-14 10:45:46 EDT
This is definalty a kernel b00g, 

ide-cd reports errors on boot and out of the blue while system is running.
 
# uname -r 
  2.6.11-1.1369_FC4smp

Hewlett-Packard pavilion 754n CDROM drive used on a ABIT Fatal1ty AA8XE mobo.

kernel: hde: dma_intr: status=0x51 { DriveReady SeekComplete Error }
kernel: hde: dma_intr: error=0x84 { DriveStatusError BadCRC }
kernel: ide: failed opcode was: unknown
-> lots of this above
kernel: hdf: DMA disabled
kernel: ide2: reset: success

Im not certain how to shut off DMA access to this single drive as ide=nodma
shuts down dms access to all drives in the system. There has to be a kernel
patch soon.. Ive looked at the kernel source (even edited some) no luck as
of yet..
Comment 10 Alan Cox 2005-06-14 12:04:30 EDT
Comment #8 and #9 are unrelated. The traces posted are of correct behaviour if
either the CD cable is 40 pin and the drive doesn't support detect or if the
cable is not good enough. UDMA is tried at various speeds - BadCRC indicates
that the transfers were failing so we drop down to PIO. We just do it more
noisily than some other OS's
Comment 11 h4x3r 2005-06-15 17:03:59 EDT
This is a fix for the drive using DMA from the start
# ./hdparm -d 0 <device>
Comment 12 Dave Jones 2005-07-15 13:36:03 EDT
An update has been released for Fedora Core 3 (kernel-2.6.12-1.1372_FC3) which
may contain a fix for your problem.   Please update to this new kernel, and
report whether or not it fixes your problem.

If you have updated to Fedora Core 4 since this bug was opened, and the problem
still occurs with the latest updates for that release, please change the version
field of this bug to 'fc4'.

Thank you.
Comment 13 Dave Jones 2005-10-02 20:07:36 EDT
This bug has been automatically closed as part of a mass update.
It had been in NEEDINFO state since July 2005.
If this bug still exists in current errata kernels, please reopen this bug.

There are a large number of inactive bugs in the database, and this is the only
way to purge them.

Thank you.
Comment 14 Bill McGonigle 2005-10-03 23:44:29 EDT
This still exists on 2.6.12-1.1378_FC3 as described in comment #6.

Somebody with permissions, please re-open this.
Comment 15 Martin 2005-11-13 14:35:47 EST
problem still exits with 2.6.14-1.1637_FC4
Comment 16 Dave Jones 2006-01-16 17:10:26 EST
This is a mass-update to all currently open Fedora Core 3 kernel bugs.

Fedora Core 3 support has transitioned to the Fedora Legacy project.
Due to the limited resources of this project, typically only
updates for new security issues are released.

As this bug isn't security related, it has been migrated to a
Fedora Core 4 bug.  Please upgrade to this newer release, and
test if this bug is still present there.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

Thank you.
Comment 17 Dave Jones 2006-01-19 02:30:16 EST
cloned by one of the people on the Cc and now tracked at #178121 for FC4

Note You need to log in before you can comment on or make changes to this bug.